DEV Community

Discussion on: Announcing PHP Apprentice!

Collapse
damirtomic profile image
DamirTomic • Edited on

You need to specify the version your tutorials are written for. In 5 years, there's gonna be PHP 10 with a completely new feature set and different syntax. And your tutorial will be outdated as all the others are. Because the writer didn't specify the PHP version he or she worked in.

Some guy is gonna try to run your code ih PHP10 and it's not gonna work and he's gonna be super confused, just like I am when I try some PHP3 code on PHP7 :D

Other than that, the tutorial seems good, although a bit basic.